<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>BaseConfigurationXMLReader (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BaseConfigurationXMLReader (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BaseConfigurationXMLReader.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/BaseConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/BaseConfigurationXMLReader.html" target="_top">Frames</a></li>
<li><a href="BaseConfigurationXMLReader.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.configuration2.ConfigurationXMLReader">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2</div>
<h2 title="Class BaseConfigurationXMLReader" class="title">Class BaseConfigurationXMLReader</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.ConfigurationXMLReader</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.BaseConfigurationXMLReader</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/XMLReader.html?is-external=true" title="class or interface in org.xml.sax">XMLReader</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BaseConfigurationXMLReader</span>
extends <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2">ConfigurationXMLReader</a></pre>
<div class="block"><p>A specialized SAX2 XML parser that processes configuration objects.</p>

 <p>This class mimics to be a SAX compliant XML parser. It is able to iterate
 over the keys in a configuration object and to generate corresponding SAX
 events. By registering a <code>ContentHandler</code> at an instance
 it is possible to perform XML processing on a configuration object.</p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: BaseConfigurationXMLReader.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a
 href="http://commons.apache.org/configuration/team-list.html">Commons
 Configuration team</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.ConfigurationXMLReader">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2">ConfigurationXMLReader</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#NS_URI">NS_URI</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/BaseConfigurationXMLReader.html#BaseConfigurationXMLReader--">BaseConfigurationXMLReader</a></span>()</code>
<div class="block">Creates a new instance of <code>BaseConfigurationXMLReader</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/BaseConfigurationXMLReader.html#BaseConfigurationXMLReader-org.apache.commons.configuration2.Configuration-">BaseConfigurationXMLReader</a></span>(<a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;conf)</code>
<div class="block">Creates a new instance of <code>BaseConfigurationXMLReader</code> and
 sets the configuration object to be parsed.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/BaseConfigurationXMLReader.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Returns the actual configuration to be processed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/BaseConfigurationXMLReader.html#getParsedConfiguration--">getParsedConfiguration</a></span>()</code>
<div class="block">Returns the configuration to be processed.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/BaseConfigurationXMLReader.html#processKeys--">processKeys</a></span>()</code>
<div class="block">The main SAX event generation method.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/BaseConfigurationXMLReader.html#setConfiguration-org.apache.commons.configuration2.Configuration-">setConfiguration</a></span>(<a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;conf)</code>
<div class="block">Sets the configuration to be processed.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.ConfigurationXMLReader">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2">ConfigurationXMLReader</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#fireCharacters-java.lang.String-">fireCharacters</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#fireElementEnd-java.lang.String-">fireElementEnd</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#fireElementStart-java.lang.String-org.xml.sax.Attributes-">fireElementStart</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getContentHandler--">getContentHandler</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getDTDHandler--">getDTDHandler</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getEntityResolver--">getEntityResolver</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getErrorHandler--">getErrorHandler</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getException--">getException</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getFeature-java.lang.String-">getFeature</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getRootName--">getRootName</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#parse-org.xml.sax.InputSource-">parse</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#parse-java.lang.String-">parse</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#parseConfiguration--">parseConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#setContentHandler-org.xml.sax.ContentHandler-">setContentHandler</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#setDTDHandler-org.xml.sax.DTDHandler-">setDTDHandler</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#setEntityResolver-org.xml.sax.EntityResolver-">setEntityResolver</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#setErrorHandler-org.xml.sax.ErrorHandler-">setErrorHandler</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#setFeature-java.lang.String-boolean-">setFeature</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#setRootName-java.lang.String-">setRootName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BaseConfigurationXMLReader--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BaseConfigurationXMLReader</h4>
<pre>public&nbsp;BaseConfigurationXMLReader()</pre>
<div class="block">Creates a new instance of <code>BaseConfigurationXMLReader</code>.</div>
</li>
</ul>
<a name="BaseConfigurationXMLReader-org.apache.commons.configuration2.Configuration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BaseConfigurationXMLReader</h4>
<pre>public&nbsp;BaseConfigurationXMLReader(<a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;conf)</pre>
<div class="block">Creates a new instance of <code>BaseConfigurationXMLReader</code> and
 sets the configuration object to be parsed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>conf</code> - the configuration to be parsed</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfiguration</h4>
<pre>public&nbsp;<a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;getConfiguration()</pre>
<div class="block">Returns the actual configuration to be processed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the actual configuration</dd>
</dl>
</li>
</ul>
<a name="setConfiguration-org.apache.commons.configuration2.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfiguration</h4>
<pre>public&nbsp;void&nbsp;setConfiguration(<a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;conf)</pre>
<div class="block">Sets the configuration to be processed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>conf</code> - the configuration</dd>
</dl>
</li>
</ul>
<a name="getParsedConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParsedConfiguration</h4>
<pre>public&nbsp;<a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;getParsedConfiguration()</pre>
<div class="block">Returns the configuration to be processed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#getParsedConfiguration--">getParsedConfiguration</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2">ConfigurationXMLReader</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the actual configuration</dd>
</dl>
</li>
</ul>
<a name="processKeys--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>processKeys</h4>
<pre>protected&nbsp;void&nbsp;processKeys()</pre>
<div class="block">The main SAX event generation method. This element uses an internal
 <code>HierarchicalConfigurationConverter</code> object to iterate over
 all keys in the actual configuration and to generate corresponding SAX
 events.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html#processKeys--">processKeys</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2">ConfigurationXMLReader</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BaseConfigurationXMLReader.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/BaseConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/BaseConfigurationXMLReader.html" target="_top">Frames</a></li>
<li><a href="BaseConfigurationXMLReader.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.configuration2.ConfigurationXMLReader">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
